import { Route, Routes, useLocation } from 'react-router-dom';
import WorklyNavbar from './apps/workly/components/WorklyNavbar';  // Workly Navbar
import IapplyNavbar from './apps/iapply/components/IapplyNavbar'; // iApply Navbar
import IhireNavbar from './apps/ihire/components/IHireNavbar'; // iHire Navbar
import WorklyRoutes from './apps/workly/routes/WorklyRoutes';
import IapplyRoutes from './apps/iapply/routes/IapplyRoutes';
import IhireRoutes from './apps/ihire/routes/IhireRoutes';

const App = () => {
  const location = useLocation();

  // Conditionally render navbar based on the current route
  let navbar;
  if (location.pathname.startsWith('/iapply')) {
    navbar = <IapplyNavbar />;
  } else if (location.pathname.startsWith('/ihire')) {
    navbar = <IhireNavbar />;
  } else {
    navbar = <WorklyNavbar />;
  }

  return (
    <>
      {navbar}
      <Routes>
        {/* Default Workly route */}
        <Route path="/*" element={<WorklyRoutes />} />
        
        {/* iApply and iHire routes */}
        <Route path="/iapply/*" element={<IapplyRoutes />} />
        <Route path="/ihire/*" element={<IhireRoutes />} />
      </Routes>
    </>
  );
};

export default App;