import { Link } from 'react-router-dom';
import { useState } from 'react';
import "../Iapply.css"

const IapplyNavbar = () => {
  const [isAuthenticated, setIsAuthenticated] = useState(false);

  return (
    <nav className="iapply-navbar">
      <a href="/iapply" className='Title'>IAPPLY</a>
      <ul>
        {isAuthenticated ? (
          // If user is signed in
          <>
            <li><Link to="/iapply/dashboard">Dashboard</Link></li>
            <li><Link to="/iapply/discover">Discover</Link></li>
            <li><Link to="/iapply/profile">Profile</Link></li>
            <li><Link to="/iapply/settings">Settings</Link></li>
            <li><button onClick={() => setIsAuthenticated(false)}>Sign Out</button></li>
          </>
        ) : (
          // If user is signed out
          <>
            <li><Link to="/iapply/signin">Sign in</Link></li>
            <li><Link to="/iapply/discover">Discover</Link></li>
            <li><Link to="/iapply/help">Help</Link></li>
          </>
        )}
      </ul>
    </nav>
  );
};

export default IapplyNavbar;