import { Link } from 'react-router-dom';
import { useState } from 'react';
import "../Ihire.css"

const Navbar = () => {
  const [isAuthenticated, setIsAuthenticated] = useState(false);

  return (
    <nav className="ihire-navbar">
      <a href="/" className='Title'>IHIRE</a>
      <ul>
        {isAuthenticated ? (
          // If user is signed in
          <>
            <li><Link to="/dashboard">Dashboard</Link></li>
            <li><Link to="/posts">My posts</Link></li>
            <li><Link to="/scout">Scout applicants</Link></li>
            <li><Link to="/profile">Profile</Link></li>
            <li><Link to="/settings">Settings</Link></li>
            <li><button onClick={() => setIsAuthenticated(false)}>Sign Out</button></li>
          </>
        ) : (
          // If user is signed out
          <>
            <li><Link to="/signin">Sign In</Link></li>
            <li><Link to="/scout">Scout applicants</Link></li>
            <li><Link to="/contact">Contact</Link></li>
            <li><Link to="/contact">Help</Link></li>
          </>
        )}
      </ul>
    </nav>
  );
};

export default Navbar;