import { useState } from "react";
import { useNavigate } from "react-router-dom"
import "./ButtonGroup.Modules.css"

const ButtonGroup = () => {
    const [activeButton, setActiveButton] = useState<string | null>(null);
    const navigate = useNavigate();

    const handleContinueClick: () => void = () => {
        if (activeButton === "IAPPLY"){
            navigate("/iapply");
        } else if (activeButton === "IHIRE"){
            navigate("/ihire");
        }
    };

  return (
    <>
    <div className={"Div2"}>
        <div className={"button-div"}>
        <button
            className={`round-button ${activeButton === "IAPPLY" ? "active" : ""}`}
            onClick={() => setActiveButton("IAPPLY")}
        >
            <div className={"buttonTitle"}>
                IAPPLY
            </div>
            {activeButton === "IAPPLY" && (
                <span className="ic--baseline-check-circle"></span>
            )}
        </button>
        <text className={"description"}>For applicants</text>
        </div>
        
        <div className={"button-div"}>
            <button
                className={`round-button ${activeButton === "IHIRE" ? "active" : ""}`}
                onClick={() => setActiveButton("IHIRE")}
            >
                <div className={"buttonTitle"}>
                    IHIRE
                </div>
                {activeButton === "IHIRE" && (
                    <span className="ic--baseline-check-circle"></span>
                )}
            </button>
            <text className={"description"}>For recruiters</text>
        </div>
    </div>

    <button className={`continue-button ${activeButton ? "active" : "inactive"}`}>
        <div className="buttonTitle" onClick={handleContinueClick}>
            CONTINUE <span className="line-md--arrow-up"></span>
        </div>
    </button>
    </>
  );
};

export default ButtonGroup;